# Get product feed

> Returns a gzip-compressed JSON lines file of the product feed. Each line in the decompressed file represents an individual product, formatted according to the same schema as the [/products/{productId}](#tag/Callbacks/operation/products.get) endpoint.

Source: https://help.boltapp.com/api-reference/checkout-everywhere/callbacks/products-get-feed

`GET /products/feed`

## OpenAPI definition

This endpoint as it appears in the OpenAPI document, with every schema it references included.

```json
{
  "openapi": "3.2.0",
  "info": {
    "title": "Checkout Everywhere API Reference (Beta)",
    "version": "0.1.0"
  },
  "security": [
    {
      "ApiKey": []
    }
  ],
  "paths": {
    "/products/feed": {
      "get": {
        "summary": "Get product feed",
        "operationId": "products.get_feed",
        "description": "Returns a gzip-compressed JSON lines file of the product feed. Each line in the decompressed file represents an individual product, formatted according to the same schema as the [/products/{productId}](#tag/Callbacks/operation/products.get) endpoint.\n",
        "tags": [
          "Callbacks"
        ],
        "responses": {
          "200": {
            "description": "Success",
            "content": {
              "application/octet-stream": {
                "schema": {
                  "type": "string",
                  "format": "binary"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/error_response"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "error_response": {
        "type": "object",
        "properties": {
          "error": {
            "$ref": "#/components/schemas/error"
          }
        }
      },
      "error": {
        "type": "object",
        "properties": {
          "code": {
            "type": "integer",
            "format": "int64",
            "description": "For list of potential error codes please see https://help.boltapp.com/developers/error-codes/"
          },
          "data": {
            "$ref": "#/components/schemas/reasons"
          }
        }
      },
      "reasons": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/reason"
        }
      },
      "reason": {
        "type": "object",
        "description": "The reason for the error.",
        "properties": {
          "reason": {
            "type": "string",
            "example": "This product is out of stock."
          }
        }
      }
    },
    "securitySchemes": {
      "ApiKey": {
        "type": "apiKey",
        "name": "X-Api-Key",
        "in": "header",
        "description": "API key provided on the Custom API Connector 'Integrations' page."
      }
    }
  }
}
```
